Radix cross Linux

The main Radix cross Linux repository contains the build scripts of packages, which have the most complete and common functionality for desktop machines

452 Commits   2 Branches   1 Tag
Index: recompile-magic.mgc
===================================================================
--- recompile-magic.mgc	(nonexistent)
+++ recompile-magic.mgc	(revision 5)
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Recompile the /etc/file/magic.mgc database.
+# This should be done after any additions or changes to the files
+# in /etc/file/magic/.
+
+if [ ! "$UID" = "0" ]; then
+  echo "Error:  must be root to recompile the system magic.mgc"
+  exit 1
+fi
+
+cd /etc/file
+/usr/bin/file --compile
+